• Resolved my401kadvisor

    (@my401kadvisor)


    Hi there,

    When I install your plugin I get this error on my site. Any idea why?

    PHP Catchable fatal error: Argument 1 passed to Freemius::get_api_user_scope_by_user() must be an instance of FS_User, boolean given, called in /nas/content/staging/my401kbuddy/wp-content/plugins/popup-maker/includes/pum-sdk/freemius/includes/class-freemius.php on line 18424 and defined in /nas/content/staging/my401kbuddy/wp-content/plugins/popup-maker/includes/pum-sdk/freemius/includes/class-freemius.php on line 18438

    The page I need help with: [log in to see the link]

Viewing 7 replies - 1 through 7 (of 7 total)
  • I am getting this too, but only on a sub-site of a multisite.

    Thread Starter my401kadvisor

    (@my401kadvisor)

    Yes mine is a subsite of a multisite too!

    Thread Starter my401kadvisor

    (@my401kadvisor)

    Can you please confirm when this will be fixed? I need to flip my staging site to live and this is holding me up!

    Plugin Author Daniel Iser

    (@danieliser)

    @my401kadvisor – Thanks for reaching out via email to point me here. Here was my email response.

    ​That is unfortunate, though must be extremely rare which means it is likely an environmental issue specific to you and that other user. To be clear when we have a widespread issues, the forums are going off with hundreds of responses a day until resolved.

    ​I’m thinking either another plugin your all using also uses freemius and has a conflict. We use the same hosting without the issue so that won’t be it.

    ​Short version you can comment out freemius in our main plugin file. Comment near the bottom PUM_Freemius::instance().

    https://github.com/PopupMaker/Popup-Maker/blob/master/popup-maker.php#L385

    ​Further we are removing our usage of FS in the very near future so it won’t hurt you to do so.

    ​I will pass the error info to Freemius devs, but I’m not sure we can do anything on our end to resolve it until they push an update, so commenting it out is a solid solution for now.

    @vovafeldman

    Thanks for the mention, @danieliser.

    @my401kadvisor, @my401kadvisor is the plugin network activated?

    Thread Starter my401kadvisor

    (@my401kadvisor)

    Yes it was, and then I tried network deactivating it and activating it on the individual sites and this is what message came up.

    Notice: Undefined index: popup-maker in /nas/content/live/my401kbuddy/wp-content/plugins/popup-maker/includes/pum-sdk/freemius/includes/class-freemius.php on line 12982

    Catchable fatal error: Argument 1 passed to Freemius::get_api_user_scope_by_user() must be an instance of FS_User, boolean given, called in /nas/content/live/my401kbuddy/wp-content/plugins/popup-maker/includes/pum-sdk/freemius/includes/class-freemius.php on line 18424 and defined in /nas/content/live/my401kbuddy/wp-content/plugins/popup-maker/includes/pum-sdk/freemius/includes/class-freemius.php on line 18438

    Hi @my401kadvisor,

    I’m Leo from Freemius. Please contact support AT freemius DOT com because we need some further information that cannot be shared publicly.

    Thanks

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘http 500 error’ is closed to new replies.